package catshelter;

import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.application.ActionBarAdvisor;
import org.eclipse.ui.application.IActionBarConfigurer;
import org.eclipse.ui.application.IWorkbenchWindowConfigurer;
import org.eclipse.ui.application.WorkbenchWindowAdvisor;

public class CatWorkbenchWindowAdvisor extends WorkbenchWindowAdvisor {

	public CatWorkbenchWindowAdvisor(IWorkbenchWindowConfigurer configurer) {
		super(configurer);
	}
	
	@Override
	public void preWindowOpen() {
		IWorkbenchWindowConfigurer configurer = getWindowConfigurer();
		configurer.setInitialSize(new Point(800, 600));
		configurer.setShowMenuBar(true);
		configurer.setShowCoolBar(true);
		configurer.setShowPerspectiveBar(false);
		configurer.setShowProgressIndicator(true);
//		configurer.setTitle("Save the cats !");
//		configurer.setShellStyle(SWT.TITLE | SWT.MAX | SWT.RESIZE);
		configurer.setShellStyle(SWT.NO_TRIM);
	}
	
	@Override
	public void postWindowOpen() {
		Shell shell = getWindowConfigurer().getWindow().getShell();
		shell.setMaximized(true);
	}
	
	@Override
	public ActionBarAdvisor createActionBarAdvisor(
			IActionBarConfigurer configurer) {
		return new CatActionBarAdvisor(configurer);
	}
}
