package catshelter.model;

import java.util.ArrayList;
import java.util.List;

public final class CatShelter {

	private static CatShelter instance;
	public List<Cat> cats = new ArrayList<Cat>();
	
	private CatShelter() {
		cats.add(new Cat("Merlin", "running", Gender.male));
		cats.add(new Cat("Mina", "boxes", Gender.female));
		cats.add(new Cat("Meow", "sleeping", Gender.male));
		cats.add(new Cat("Missy", "wool", Gender.female));
	}
	
	public static synchronized CatShelter getInstance() {
		if (instance == null) {
			instance = new CatShelter();
		}
		
		return instance;
	}
}
